Bug 149811 - kernel update on SMP sets grub default back to UP kernel
Summary: kernel update on SMP sets grub default back to UP kernel
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd   
(Show other bugs)
Version: rawhide
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-27 16:07 UTC by gene c
Modified: 2014-01-21 22:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-20 22:03:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description gene c 2005-02-27 16:07:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b2)
Gecko/20050219 Firefox/1.0+

Description of problem:
SMP machine has both SMP and UP kernels. Grub Default is to boot the
SMP kernel. After yum update kernel to a newer kernel the default is
changed back to the UP kernel. 

This may be related to the order in grub.conf - which sems to be UP
followed by SMP - and default=1 is changed back to default=0 which nw
points to non-smp kernel after a kernel update.

Relevant bits of grub.conf (after I hand edited default=0 back to 1):

default=1
title Fedora Core (2.6.10-1.766_FC3)
    kernel /boot/vmlinuz-2.6.10-1.766_FC3 ro root=LABEL=/ rhgb quiet
...
title Fedora Core (2.6.10-1.766_FC3smp)
     kernel /boot/vmlinuz-2.6.10-1.766_FC3smp ro root=LABEL=/ rhgb quiet




Version-Release number of selected component (if applicable):
yum-2.1.12-0.fc3

How reproducible:
Always

Steps to Reproduce:
1. yum update kernel
2.
3.
    

Actual Results:  default kernel se back to UP

Expected Results:  default kernel should remain SMP

Additional info:

Comment 1 Jeremy Katz 2005-02-27 17:14:23 UTC
What are the contents of /etc/sysconfig/kernel?

Comment 2 gene c 2005-02-27 18:49:27 UTC
# cat /etc/sysconfig/kernel
cat: /etc/sysconfig/kernel: No such file or directory


Comment 3 Rahul Sundaram 2005-06-20 21:21:49 UTC

The default configuration should exist in /etc/sysconfig/kernel which has the
following content in it. 

cat /etc/sysconfig/kernel
# UPDATEDEFAULT specifies if new-kernel-pkg should make
# new kernels the default
UPDATEDEFAULT=yes
 
# DEFAULTKERNEL specifies the default kernel package type
DEFAULTKERNEL=kernel

While its a bad idea for any user to remove /etc/sysconfig/kernel here is what I
suggest as a RFE

new-kernel-pkg script in mkinitrd checks for this. I believe its a good for it
to check uname output or proc to determine if the system is currently running a
SMP kernel and set it to default and fall back to UP if not


Comment 4 Jeremy Katz 2005-06-20 22:03:22 UTC
New installs will end up with the file and if you remove it, it becomes hard to
impossible to definitively pick the "right" answer.


Note You need to log in before you can comment on or make changes to this bug.